import type { Settings } from './generated-types';
import type { BrowserDestinationDefinition } from '../../lib/browser-destinations';
import type { Userpilot } from './types';
declare global {
    interface Window {
        userpilot: Userpilot;
        userpilotSettings: Settings;
    }
}
export declare const destination: BrowserDestinationDefinition<Settings, Userpilot>;
declare const _default: (settings: Settings & {
    subscriptions?: import("../../lib/browser-destinations").Subscription[] | undefined;
}) => Promise<import("@segment/analytics-next").Plugin[]>;
export default _default;
